package hpacademy.floorprinter;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.design.widget.Snackbar;
import android.support.v4.app.DialogFragment;
import android.support.v4.app.FragmentManager;
import android.view.View;
import android.widget.Toast;

/**
 * Created by vylion on 7/6/18.
 */

public class EditorDialog extends DialogFragment {
    public static final int OPTION_SAVE = 1;
    public static final int OPTION_SAVE_AND_PRINT = 2;
    public static final int OPTION_PRINT = 3;

    @NonNull
    @Override
    public Dialog onCreateDialog(Bundle savedInstanceState) {
        android.app.AlertDialog.Builder builder = new android.app.AlertDialog.Builder(getActivity());

        builder.setMessage(R.string.dialog_editor_exit)
                .setPositiveButton(R.string.dialog_editor_save, new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int id) {
                        Toast.makeText(getContext(), "Image has been saved", Toast.LENGTH_SHORT).show();
                        getActivity().finish();
                    }
                })
                .setNegativeButton(R.string.dialog_editor_both, new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int id) {
                        Toast.makeText(getContext(), "The actual madman!", Toast.LENGTH_SHORT).show();
                        getActivity().finish();
                    }
                })
                .setNeutralButton(R.string.dialog_editor_print, new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int id) {
                        Toast.makeText(getContext(), "Printer is unavailable", Toast.LENGTH_SHORT).show();
                        getActivity().finish();
                    }
                });

        android.app.AlertDialog dialog = builder.create();
        dialog.setCanceledOnTouchOutside(true);

        return dialog;
    }
}
