package hpacademy.floorprinter;

import android.content.Context;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import java.util.ArrayList;

/**
 * Created by vylion on 7/6/18.
 */

public class ExplorerAdapter extends RecyclerView.Adapter<ExplorerAdapter.FileHolder> {
    private Context context;
    private ArrayList<FilePreview> files;

    public ExplorerAdapter(Context context, ArrayList<FilePreview> files) {
        this.context = context;
        this.files = files;
    }

    @Override
    public FileHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.list_explorer_row, parent, false);
        return new ExplorerAdapter.FileHolder(view);
    }

    @Override
    public void onBindViewHolder(FileHolder holder, int position) {
        holder.filenameText.setText(files.get(position).getFilename());
    }

    @Override
    public int getItemCount() {
        return files.size();
    }

    public class FileHolder extends RecyclerView.ViewHolder {
        public TextView filenameText;

        public FileHolder(View itemView) {
            super(itemView);
            filenameText = itemView.findViewById(R.id.file_text);
        }
    }
}
