package hpacademy.floorprinter;

import android.content.Context;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import java.util.ArrayList;

/**
 * Created by vylion on 7/5/18.
 */

public class MainAdapter extends RecyclerView.Adapter<MainAdapter.FileHolder> {
    private Context context;
    private ArrayList<FilePreview> files;

    public MainAdapter(Context context, ArrayList<FilePreview> files) {
        this.context = context;
        this.files = files;
    }

    @Override
    public FileHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.list_main_item, parent, false);
        return new FileHolder(view);
    }

    @Override
    public void onBindViewHolder(FileHolder holder, int position) {
        holder.filenameText.setText(files.get(position).getFilename());
        holder.filePreviewImgView.setImageResource(files.get(position).getFilePreviewImg());
    }

    @Override
    public int getItemCount() {
        return files.size();
    }

    public class FileHolder extends RecyclerView.ViewHolder {
        public TextView filenameText;
        public ImageView filePreviewImgView;

        public FileHolder(View itemView) {
            super(itemView);

            filenameText = itemView.findViewById(R.id.supporting_text);
            filePreviewImgView = itemView.findViewById(R.id.media_image);
        }
    }
}
